/*
 * game.cpp
 *
 *  Created on: 24/mar/2014
 *      Author: bertini
 */

#include <iostream>

#include "Character.h"
#include "Weapon.h"

int main() {
	Weapon* sword = new Weapon(3);
	Character hero(36, 1, 6);
	hero.setName("Boromir");
	hero.setWeapon(sword);

	Weapon* spear = new Weapon(3);
	Character orc(30, 1, 1);
	orc.setWeapon(spear);
	orc.setName("orc");

	int damage = hero.fight(orc);
	if (damage)
		std::cout << "Boromir hits the orc - damage: " << damage << " points" << std::endl;

	Weapon* magicSword = new Weapon(7, true);
	hero.setWeapon(magicSword);
	damage = hero.fight(orc);
	if (damage)
		std::cout << "Boromir hits the orc - damage: " << damage << " points" << std::endl;
}
